Bug 979595 - python-celery-3.0.23 is available
python-celery-3.0.23 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-celery (Show other bugs)
rawhide
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On: 979592
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 16:58 EDT by Upstream Release Monitoring
Modified: 2013-09-30 08:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 08:02:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2013-06-28 16:58:22 EDT
Latest upstream release: 3.0.20
Current version/release in Fedora Rawhide: 3.0.19-1.fc20
URL: https://pypi.python.org/packages/source/c/celery/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Upstream Release Monitoring 2013-07-10 05:34:34 EDT
Latest upstream release: 3.0.21
Current version/release in Fedora Rawhide: 3.0.19-1.fc20
URL: https://pypi.python.org/packages/source/c/celery/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 2 Upstream Release Monitoring 2013-08-17 05:14:57 EDT
Latest upstream release: 3.0.22
Current version/release in Fedora Rawhide: 3.0.19-2.fc20
URL: https://pypi.python.org/packages/source/c/celery/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Upstream Release Monitoring 2013-09-09 15:18:51 EDT
Latest upstream release: 3.0.23
Current version/release in Fedora Rawhide: 3.0.19-2.fc21
URL: https://pypi.python.org/packages/source/c/celery/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 4 Dhiru Kholia 2013-09-26 12:59:51 EDT
✗ rpm -qa | grep celery    
python-celery-3.0.19-2.fc20.noarch

✗ head /usr/bin/celery
#!/usr/bin/python3
...

1. Why does this file say "python3" instead of saying "python" ?

2. After fixing the she-bang manually, I get,
✗ celery worker --autoscale=10,0 -A tasks
Traceback (most recent call last):
  File "/usr/bin/celery", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 3011, in <module>
    parse_requirements(__requires__), Environment()
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 626, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: amqp>=1.0.13,<1.1.0

...

This is related to Bug 1000750. Can we please get this package working again?
Comment 5 Matthias Runge 2013-09-30 08:02:03 EDT
pushed to rawhide

Note You need to log in before you can comment on or make changes to this bug.